#ifndef ICD_H
#define ICD_H
#include "location.h"
#include <vector>

using namespace std;


class ICD : public Location
{
private:
	int number_of_vehicles;
	int kvadrant;
public:
	//variables
	vector<int>supply;

	//Set functions
	void SetNumberOfVehicles(int v);
	void SetSupply(int supp);

	//Get functions
	int GetNumberOfVehicles(){return number_of_vehicles;}
	int GetKvadrant(){return kvadrant;}
};

class LDC : public Location
{
private:
	int ldc_capacity;
	int opening_cost;

public:
	//variables
	vector<int>number_of_vehicles;
	vector<vector<int > >vehicles_stages;

	//Set functions
	void SetLdcCapacity(int cap){ldc_capacity = cap;}
	void SetNumberOfVehicles(int novi);
	void SetOpeningCost(int openc){opening_cost = openc;}

	//Get functions
	int GetLdcCapacity(){return ldc_capacity;}
	int GetOpeningCost(){return opening_cost;}
};


//

class PODD : public Location
{
public:
	vector<vector<double> >demand;
	double ut_factor[50][4][500];
	double ut_interval_size[50][4];
};




#endif